summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2014-02-14 16:39:58 -0500
committerZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2014-02-14 19:00:32 -0500
commit8a8332f77e61d41f3bb28b8f929ed41e0ffaf721 (patch)
treed89d1ae2e7310f03c9f46e3f60a14c0b105a7b89 /test
parentb8667ee4162cd2510363602b417cecede9fd2cca (diff)
test: print the important commands to make debugging easier
Diffstat (limited to 'test')
-rw-r--r--test/test-functions8
1 files changed, 5 insertions, 3 deletions
diff --git a/test/test-functions b/test/test-functions
index 8e300b10e..dac0dcccf 100644
--- a/test/test-functions
+++ b/test/test-functions
@@ -66,11 +66,13 @@ $KERNEL_APPEND \
QEMU_OPTIONS="$QEMU_OPTIONS -initrd $INITRD"
fi
- $QEMU_BIN $QEMU_OPTIONS -append "$KERNEL_APPEND" $TESTDIR/rootdisk.img || return 1
+ ( set -x
+ $QEMU_BIN $QEMU_OPTIONS -append "$KERNEL_APPEND" $TESTDIR/rootdisk.img ) || return 1
}
run_nspawn() {
- ../../systemd-nspawn --boot --directory=$TESTDIR/nspawn-root /usr/lib/systemd/systemd
+ set -x
+ ../../systemd-nspawn --boot --directory=$TESTDIR/nspawn-root /usr/lib/systemd/systemd $KERNEL_APPEND
}
setup_basic_environment() {
@@ -108,7 +110,7 @@ install_dmevent() {
install_systemd() {
# install compiled files
- (cd $TEST_BASE_DIR/..; make DESTDIR=$initdir install)
+ (cd $TEST_BASE_DIR/..; set -x; make DESTDIR=$initdir install)
# remove unneeded documentation
rm -fr $initdir/usr/share/{man,doc,gtk-doc}
# we strip binaries since debug symbols increase binaries size a lot